Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#34 skb_over_panic and igb driver

closed
nobody
igb (32)
in-kernel_driver
5
2014-08-26
2012-03-07
liu dalin
No

I'm not sure this is a the igb bug, but oops the last function call is igb_poll(kernel 2.6.38.8+Intel 82576):

Mar 6 19:48:59 AnShion <8> klogd: [ 4972.694410] skb_over_panic: text:f81ac0f4 len:2682 put:1222 head:eb7be800 data:eb7be84e tail:0xeb7bf2c8 end:0xeb7bee40 dev:eth0

Mar 6 19:50:44 AnShion <8> klogd: [ 4972.831771] ------------[ cut here ]------------
Mar 6 19:50:44 AnShion <10> klogd: [ 4972.835740] kernel BUG at net/core/skbuff.c:127!
Mar 6 19:50:44 AnShion <8> klogd: [ 4972.835740] invalid opcode: 0000 [#1] SMP
Mar 6 19:50:44 AnShion <8> klogd: [ 4972.835740] last sysfs file: /sys/devices/virtual/net/bond0/bonding/slaves
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] Modules linked in: nf_connmark ip_set_hash_net ip_set_hash_ip xt_set ip_set xt_hashrate xt_pcc xt_nth xt_random(P) xt_nflog xt_replace xt_index igb
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740]
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] Pid: 0, comm: swapper Tainted: P 2.6.38.8 #195 Foxconn BlackOps/BlackOps
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] EIP: 0060:[<c062ad49>] EFLAGS: 00010282 CPU: 0
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] EIP is at skb_put+0x89/0x90
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] EAX: 00000089 EBX: eb7bf2c8 ECX: ffffffff EDX: 00000000
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] ESI: 000004c6 EDI: f85cb6b0 EBP: f400bea8 ESP: f400be7c
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Mar 6 19:50:44 AnShion <8> klogd: [ 4972.835740] Process swapper (pid: 0, ti=f400a000 task=c0a3cea0 task.ti=c0a38000)
Mar 6 19:50:44 AnShion <8> klogd: [ 4972.835740] Stack:
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] c09efcec f81ac0f4 00000a7a 000004c6 eb7be800 eb7be84e eb7bf2c8 eb7bee40
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] f39e1000 00000000 000004c6 f400bf90 f81ac0f4 c062b008 c062b008 f62711c0
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] eba0e3c0 eba0e3c0 eba0e3c0 eba0e3c0 f400bed8 c062b008 eba0e3c0 f400bef0
Mar 6 19:50:44 AnShion <8> klogd: [ 4972.835740] Call Trace:
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<f81ac0f4>] ? igb_poll+0x734/0xd00 [igb]
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<f81ac0f4>] igb_poll+0x734/0xd00 [igb]
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<c062b008>] ? kfree_skb+0x38/0x90
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740]
[<c062b12a>] ? kfree_skb+0x5a/0x70
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740]
[<c068df93>] ? ip_rcv+0xc3/0x320
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740]
[<c0636fe2>] ? process_backlog+0x72/0x110
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740]
[<c063763a>] net_rx_action+0xaa/0x1a0
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740]
[<c014bfa1>]
do_softirq+0xb1/0x190
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<c014bef0>] ? __do_softirq+0x0/0x190
Mar 6 19:50:44 AnShion <8> klogd: [ 4972.835740] <IRQ>
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<c014be6d>] ? irq_exit+0x5d/0x80
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<c0104bc5>] ? do_IRQ+0x45/0xb0
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<c01036f0>] ? common_interrupt+0x30/0x38
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<c010b06e>] ? mwait_idle+0xfe/0x190
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<c010214a>] ? cpu_idle+0x8a/0xc0
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<c0749318>] ? rest_init+0x58/0x60
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<c0a959cf>] ? start_kernel+0x31e/0x380
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<c0a9546f>] ? unknown_bootoption+0x0/0x1f1
Mar 6 19:50:44 AnShion <12> klogd: [ 4972.835740] [<c0a950a6>] ? i386_start_kernel+0xa6/0xe2

Related

Bugs: #1

Discussion

  • Todd Fujinaka
    Todd Fujinaka
    2013-07-08

    • status: open --> closed
     
  • Todd Fujinaka
    Todd Fujinaka
    2013-07-08

    Closed due to age.